> ## Documentation Index
> Fetch the complete documentation index at: https://doc.va777.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Place bet

> Place bet: request parameters, response format and response codes.

> [!NOTE]
>
> * The member places a bet.

## Path

```text theme={null}
POST {partnerHost}/v1.0/transaction/placeBet
```

## Headers

<table>
  <colgroup>
    <col width="27%" />

    <col width="10%" />

    <col width="7%" />

    <col width="56%" />
  </colgroup>

  <thead><tr><th>Field</th><th>Type</th><th>Required</th><th>Description</th></tr></thead>

  <tbody>
    <tr><td>`Authorization`</td><td>string</td><td>Yes</td><td>Our token; you must verify it</td></tr>
    <tr><td>`Content-Type`</td><td>string</td><td>Yes</td><td>`multipart/form-data`</td></tr>
  </tbody>
</table>

## Request parameters

<table>
  <colgroup>
    <col width="27%" />

    <col width="10%" />

    <col width="7%" />

    <col width="11%" />

    <col width="45%" />
  </colgroup>

  <thead><tr><th>Field</th><th>Type</th><th>Required</th><th>Signed</th><th>Description</th></tr></thead>

  <tbody>
    <tr><td>`token`</td><td>string</td><td>Yes</td><td>✓</td><td>Token for this member session</td></tr>
    <tr><td>`gameId`</td><td>number</td><td>Yes</td><td>✓</td><td>Game ID</td></tr>
    <tr><td>`betId`</td><td>string</td><td>Yes</td><td>✓</td><td>Bet ID</td></tr>
    <tr><td>`sequenceNumber`</td><td>string</td><td>Yes</td><td>✓</td><td>Bet sequence number</td></tr>
    <tr><td>`channelId`</td><td>number</td><td>Yes</td><td>✓</td><td>Channel ID (use 1 if you have no channels)</td></tr>
    <tr><td>`account`</td><td>string</td><td>Yes</td><td>✓</td><td>Member account (allowed characters: `a-z A-Z 0-9 _-`)</td></tr>
    <tr><td>`currency`</td><td>string</td><td>Yes</td><td>✓</td><td>Currency (contact our business team)</td></tr>
    <tr><td>`amount`</td><td>number</td><td>Yes</td><td>✓</td><td>Bet amount</td></tr>
    <tr><td>`betTime`</td><td>string</td><td>Yes</td><td>✓</td><td>Bet time (see [Time format](https://doc.va777.net/en/v1/guides/request-format.md#time-format))</td></tr>
    <tr><td>`sign`</td><td>string</td><td>Yes</td><td /><td>Signature. See [Signature](https://doc.va777.net/en/v1/guides/signature.md) for how to generate it</td></tr>
  </tbody>
</table>

## Response

Success (the HTTP status code is always 200; check `status.code` for the result)

<table>
  <colgroup>
    <col width="34%" />

    <col width="12%" />

    <col width="54%" />
  </colgroup>

  <thead><tr><th>Field</th><th>Type</th><th>Description</th></tr></thead>

  <tbody>
    <tr><td>`data`</td><td>object</td><td /></tr>
    <tr><td>`data.channelId`</td><td>number</td><td>Channel ID</td></tr>
    <tr><td>`data.account`</td><td>string</td><td>Member account</td></tr>
    <tr><td>`data.currency`</td><td>string</td><td>Currency (contact our business team)</td></tr>
    <tr><td>`data.balance`</td><td>number</td><td>Member balance in this currency</td></tr>
    <tr><td>`status`</td><td>object</td><td>Response status. See [Response format](https://doc.va777.net/en/v1/guides/request-format.md#response-format)</td></tr>
  </tbody>
</table>

### Response example

```json theme={null}
{
  "data": {
    "channelId": 1,
    "account": "player001",
    "currency": "CNY",
    "balance": 123.45
  },
  "status": {
    "code": "0",
    "message": "success",
    "datetime": "2022-07-04T22:54:29.649+08:00",
    "traceCode": "7cf25e1957cc47fe8e01f1a7c6d504d6"
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.